<?php
/*
Plugin Name: Plugin add < head > element
Version: 2.7.a
Description: Add element to tag < head >
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=582
Author: ddtddt
Author URI: http://piwigo.org/
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

define('AHE_DIR' , basename(dirname(__FILE__)));
define('AHE_PATH' , PHPWG_PLUGINS_PATH . AHE_DIR . '/');

add_event_handler('get_admin_plugin_menu_links', 'AHE_admin_menu');
function AHE_admin_menu($menu)
{
  array_push(
    $menu,
    array(
      'NAME' => 'Add < head > element',
      'URL' => get_root_url().'admin.php?page=plugin-add_head_element'
      )
    );
  
  return $menu;
}


//add in <head>
add_event_handler('loc_begin_page_header', 'AHE1',20 );

function AHE1()
{
  global $template,$conf;

  if (isset($conf['add_head_element_apply_on']))
  {
    if (!is_array($conf['add_head_element_apply_on']))
    {
      $conf['add_head_element_apply_on'] = explode(',', $conf['add_head_element_apply_on']);
    }

    if (defined('IN_ADMIN') and IN_ADMIN)
    {
      // we are in the administration
      if (!in_array('admin', $conf['add_head_element_apply_on']))
      {
        return;
      }
    }
    else
    {
      // we are in the gallery
      if (!in_array('gallery', $conf['add_head_element_apply_on']))
      {
        return;
      }
    }
    
  }
  
	if (!empty($conf['add_head_element']))
	{
    $template->append('head_elements', $conf['add_head_element']);
	}
}
?>